From 7ae3639338b643a42e3a7dd9672ab00f514debc0 Mon Sep 17 00:00:00 2001
From: Mathieu Parent <sathieu@debian.org>
Date: Thu, 2 Feb 2017 23:26:03 +0100
Subject: [PATCH] Fix compatibility with changed UNIX socket API

---
 host/control.lua | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/host/control.lua b/host/control.lua
index 7b9b1b8..feeae60 100644
--- a/host/control.lua
+++ b/host/control.lua
@@ -41,13 +41,16 @@ local dos_callcount = 0
 require "socket"
 
 local have_unix_domain_sockets = false
-function tryload_unix()
-   require "socket.unix"
-   have_unix_domain_sockets = true
+local ok, unix = pcall(require, "socket.unix")
+if ok then
+   if type(unix) == "function" then
+      socket.unix = unix
+   else
+      socket.unix = unix.stream or unix.tcp
+   end
+   have_unix_domain_sockets = socket.unix ~= nil
 end
 
-pcall(tryload_unix)
-
 local protectedenv = {}
 
 -- Control socket interface
-- 
2.11.0

